> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# モデル チェックポイントを削除

> モデルの特定のチェックポイントを削除します。



## OpenAPI

````yaml /ja/serverless-training/api-reference/openapi.json delete /v1/preview/models/{model_id}/checkpoints
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/models/{model_id}/checkpoints:
    delete:
      tags:
        - models
      summary: モデル チェックポイントを削除
      description: モデルの特定のチェックポイントを削除します。
      operationId: delete_model_checkpoints_v1_preview_models__model_id__checkpoints_delete
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            title: Model Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteCheckpointsRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteCheckpointsResponse'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBearer: []
components:
  schemas:
    DeleteCheckpointsRequest:
      description: チェックポイント削除用のスキーマ。
      properties:
        steps:
          items:
            type: integer
          title: Steps
          type: array
      required:
        - steps
      title: DeleteCheckpointsRequest
      type: object
    DeleteCheckpointsResponse:
      description: チェックポイント削除レスポンスのスキーマ。
      properties:
        deleted_count:
          title: Deleted Count
          type: integer
        not_found_steps:
          items:
            type: integer
          title: Not Found Steps
          type: array
      required:
        - deleted_count
        - not_found_steps
      title: DeleteCheckpointsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````